# 1. 소개(Introduction)

> Version : 1.0.0

 본 문서는 전북대학교 컴퓨터공학과의 Floor 팀에서 Scrap Yard라는 어플리케이션을 설계 및 구현하기 위한 소프트웨어 요구사항 명세서(SRS)이다.

## 목적(Purpose)

본 문서의 목적은 프로젝트의 관련된 모든 아이디어들을 정리하고 분석해서 나열하는 것이다. 또한 프로젝트를 더 잘 이해하기 위해 이 제품이 어떻게 사용될지 예측하고 분류하고, 나중에 개발될 요소를 설명하고, 고려 중이지만 폐기될 수 있는 요구사항들을 문서화한다.

## 범위(Scope)

본 문서의 범위는 ScrapYard의 기능들과 그 환경이다.

ScrapYard는 문서 작성 밎 문서를 아카이빙 할 수 있는 웹 어플리케이션이다. 같이 제공되는 확장기능을 통해 북마크(즐겨찾기)를 구조적으로 보관할 수 있고 미리보기를 보여줄 수 있다.

또한 문서를 다른 사람과 링크로 공유할 수 있다.

개인정보의 관리를 자기 자신이 제어할 수 있도록 파일과 문서에 대한 메타데이터가 어떠한 외부 DB가 있는 것이 아닌 파일에서 사람이 읽을 수 있는 형태로 관리된다. 

## 용어 및 약어 정의(Definitions, acronyms and abbreviations)

|용어 및 약어|정의|
|---|----|
|ScrapYard|현재 개발하는 앱의 명칭|
|DnD|드래그 앤 드롭의 약자|

## 참고자료(References)

1. Knowledge base: https://en.wikipedia.org/wiki/Knowledge_base
2. Open Meta Graph: https://ogp.me/

## 개요(Overview)
 2장에서는 종합적인 요구사항을 서술하고, 3장에서는 기능 및 UI에 대해서 상세한 요구사항을 설명한다.
